## com.vividsolutions.jts.geomgraph
Class Position

    java.lang.Object
      com.vividsolutions.jts.geomgraph.Position

public class Position
extends java.lang.Object

A Position indicates the position of a Location relative to a graph component (Node, Edge, or Area).

Version:
  1.7

Field Summary
`static int` `LEFT` An indicator that a Location is to the left of a GraphComponent
`static int` `ON` An indicator that a Location is on a GraphComponent
`static int` `RIGHT` An indicator that a Location is to the right of a GraphComponent

Constructor Summary
`Position()`

Method Summary
`static int` `opposite(int position)` Returns LEFT if the position is RIGHT, RIGHT if the position is LEFT, or the position otherwise.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ON

    public static final int ON

  An indicator that a Location is on a GraphComponent

  See Also:
    Constant Field Values

### LEFT

    public static final int LEFT

  An indicator that a Location is to the left of a GraphComponent

  See Also:
    Constant Field Values

### RIGHT

    public static final int RIGHT

  An indicator that a Location is to the right of a GraphComponent

  See Also:
    Constant Field Values

Constructor Detail

### Position

    public Position()

Method Detail

### opposite

    public static final int opposite(int position)

  Returns LEFT if the position is RIGHT, RIGHT if the position is LEFT, or the position otherwise.